jQuery(document).ready(function(){

	$('#navbar').scrollspy();
	
	window.prettyPrint && prettyPrint();

	// fix sub nav on scroll
    var $win = $(window)
      , $nav = $('.navbar')
      , navTop = $('.navbar').length && $('.navbar').offset().top - 40
      , isFixed = 0

    processScroll()

    // hack sad times - holdover until rewrite for 2.1
    $nav.on('click', function () {
      if (!isFixed) setTimeout(function () {  $win.scrollTop($win.scrollTop() - 47) }, 10)
    })

    $win.on('scroll', processScroll)

    function processScroll() {
      var i, scrollTop = $win.scrollTop()
      if (scrollTop >= navTop && !isFixed) {
        isFixed = 1
        $nav.addClass('navbar-fixed-top').find('.brand').show()
      } else if (scrollTop <= navTop && isFixed) {
        isFixed = 0
        $nav.removeClass('navbar-fixed-top').find('.brand').hide()
      }
    }
    
    $nav.find('.brand').on('click', function() {
    	jQuery('html, body').animate({scrollTop : 0}, 500);
    	return false;
    });
    
    // Clothing Designer
    var thsirtDesigner = $('#clothing-designer').fancyProductDesigner({editorMode: false, fonts: ['Arial', 'Fearless', 'Destroy', 'Helvetica', 'Times New Roman', 'Verdana', 'Geneva', 'Arcade', 'Comic Book', 'Open Sans', 'Varsity'], customTextParamters: {x: 210, y: 250, colors: "#000000", removable: true, resizable: true, draggable: true, rotatable: true}}).data('fancy-product-designer');

	$('#print-button').click(function(){
		thsirtDesigner.print();
		return false;
	});
	
	$('#checkout-button').click(function(){
		var product = thsirtDesigner.getProduct(true);
		var output = '';
		if(product instanceof Array) {
			for(var i=0; i < product.length; ++i) {
				output += _getProductOutput(product[i]);
			}
		}
		else {
			output = _getProductOutput(product);
		}
		
		$('#thsirt-output').html(output);
		
		return false;
	});
	
	
	$('#clothing-designer')
	.bind('productCreate', function(evt){
		$('#thsirt-output').html('Click the "Checkout" button to see the returning object with all properties.');
		$('#thsirt-price').text(thsirtDesigner.getPrice());
	})
	.bind('priceChange', function(evt, price, currentPrice) {
		$('#thsirt-price').text(currentPrice);
	});
	
	function _getProductOutput(product) {
		var output = '<strong>Product:</strong> '+product.title;
		
		output += '<br /><strong>Elements:</strong>';
		output += '<p>';
		$(product.elements).each(function(i, elem) {
			output += '<strong>Title:</strong> ' + elem.title;
			output += '<br />';
			output += '<strong>Parameters:</strong><br />';
			for (var prop in elem.parameters) {
		      output += prop + ": " + elem.parameters[prop] + ', ';
		   }
		   output = output.substring(0, output.length-2);
		   output += '<br /><br />';
		});
		output += '</p>';
		return output;
	};
	
	
	//Ipod Designer
	var ipodDesigner = $('#ipod-designer').fancyProductDesigner({
		editorMode: false, 
		customTexts: false
	})
	.data('fancy-product-designer');
	
	
	//Businesscard Designer
	var businessCardDesigner = $('#businnescard-designer').fancyProductDesigner({editorMode: true, customTexts: false}).data('fancy-product-designer');
	
	
	
});